Subject: RE: stuff
From: kprice2 <[email-masked]>
To: [email-masked]
Date: Sun, 22 Jul 2012 15:26:46 -0500

Sent from my U.S. Cellular® SmartphoneJames Kirchstein <[email-masked]> wrote:Accident happened in Madison? This would be Gene’s daughter?
I thought Myra lived in Mineral Point, but that might have been a while back.

From: Kay price [mailto:[email-masked]] 
Sent: Sunday, July 22, 2012 2:26 PM
To: Jim Kirchstein
Subject: Re: stuff
 
The donations were from Ian Campbell from CA. He is businessman who flew in and I spent an afternoon with him. He had a dysfunctional family and he found a Steve Sim book and held it as an example of what a real family would be like. He would appreciate a letter from you telling him what you have done and hope to do. Maybe he will give more! I will find his address and send to you later when I get home. I am at the hospital most of the time, at least until I work next couple of days. 
 
BTW this horrible accident was caused by alcohol. It keeps on damaging lives. 
 
Bill Dyke called and said Myra Poad died. I wonder if he is confusing her with her twin sister Mary. Myra lived in KY. 
 
Kay

On Jul 22, 2012, at 11:52 AM, "Jim Kirchstein" <[email-masked]> wrote:

I found a note with my ADS stuff that might have the person info for Derleth books donation:
Jean Henning   Waverly Iowa  ??
You mentioned the person that donated $ 1000 for possibly use in archiving, followed up with two more $500 donations ?? Not that I want to use any more funds for archiving but thought I could sent a thank you letter.